## org.hibernate.type.descriptor.sql
Class ClobTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.sql.ClobTypeDescriptor

All Implemented Interfaces:
  Serializable, SqlTypeDescriptor

    public abstract class ClobTypeDescriptor

extends Object
implements SqlTypeDescriptor

Descriptor for `CLOB` handling.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Field Summary
`static ClobTypeDescriptor` `CLOB_BINDING`
`static ClobTypeDescriptor` `DEFAULT`
`static ClobTypeDescriptor` `STREAM_BINDING`

Constructor Summary
`ClobTypeDescriptor()`

Method Summary

`

`<X> ValueBinder<X>`

`

`getBinder(JavaTypeDescriptor<X> javaTypeDescriptor)`

`protected abstract

`<X> BasicBinder<X>`

`

`getClobBinder(JavaTypeDescriptor<X> javaTypeDescriptor)`

`

`<X> ValueExtractor<X>`

`

`getExtractor(JavaTypeDescriptor<X> javaTypeDescriptor)`

`int` `getSqlType()` Return the JDBC type-code for the column mapped by this type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final ClobTypeDescriptor DEFAULT

### CLOB_BINDING

    public static final ClobTypeDescriptor CLOB_BINDING

### STREAM_BINDING

    public static final ClobTypeDescriptor STREAM_BINDING

Constructor Detail

### ClobTypeDescriptor

    public ClobTypeDescriptor()

Method Detail

### getClobBinder

    protected abstract <X> BasicBinder<X> getClobBinder(JavaTypeDescriptor<X> javaTypeDescriptor)

### getBinder

    public <X> ValueBinder<X> getBinder(JavaTypeDescriptor<X> javaTypeDescriptor)

  Specified by:
    `getBinder` in interface `SqlTypeDescriptor`

### getSqlType

    public int getSqlType()

  Description copied from interface: `SqlTypeDescriptor`
  Return the JDBC type-code for the column mapped by this type.

  Specified by:
    `getSqlType` in interface `SqlTypeDescriptor`
  Returns:
    The JDBC type-code

### getExtractor

    public <X> ValueExtractor<X> getExtractor(JavaTypeDescriptor<X> javaTypeDescriptor)

  Specified by:
    `getExtractor` in interface `SqlTypeDescriptor`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.